org.apache.tomcat.jdbc.pool

## Class PoolProperties.InterceptorDefinition

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolProperties.InterceptorDefinition

Enclosing class:
  PoolProperties

    public static class PoolProperties.InterceptorDefinition
    extends Object

### Field Summary

Fields
`protected String` `className`
`protected Class<?>` `clazz`
`protected Map<String,PoolProperties.InterceptorProperty>` `properties`

### Constructor Summary

Constructors
Constructor and Description
`PoolProperties.InterceptorDefinition(Class<?> cl)`
`PoolProperties.InterceptorDefinition(String className)`

### Method Summary

Methods
`void` `addProperty(PoolProperties.InterceptorProperty p)`
`void` `addProperty(String name, String value)`
`String` `getClassName()`
`Class<? extends JdbcInterceptor>` `getInterceptorClass()`
`Map<String,PoolProperties.InterceptorProperty>` `getProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### className

    protected String className

#### properties

    protected Map<String,PoolProperties.InterceptorProperty> properties

#### clazz

    protected volatile Class<?> clazz

### Constructor Detail

#### PoolProperties.InterceptorDefinition

    public PoolProperties.InterceptorDefinition(String className)

#### PoolProperties.InterceptorDefinition

    public PoolProperties.InterceptorDefinition(Class<?> cl)

### Method Detail

#### getClassName

    public String getClassName()

#### addProperty

    public void addProperty(String name,
                   String value)

#### addProperty

    public void addProperty(PoolProperties.InterceptorProperty p)

#### getProperties

    public Map<String,PoolProperties.InterceptorProperty> getProperties()

#### getInterceptorClass

    public Class<? extends JdbcInterceptor> getInterceptorClass()
                                                         throws ClassNotFoundException

Throws:
  `ClassNotFoundException`